Bug 65327 - Crash when opening docs.google.com
Summary: Crash when opening docs.google.com
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.7
: P1 Major
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-28 10:53 PDT by Wade
Modified: 2011-07-29 14:35 PDT (History)
5 users (show)

See Also:


Attachments
the patch (1.73 KB, patch)
2011-07-29 13:27 PDT, Filip Pizlo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wade 2011-07-28 10:53:06 PDT
Process:         WebProcess [30031]
Path:            /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
Identifier:      com.apple.WebProcess
Version:         535+ (535.1+)
Code Type:       X86-64 (Native)
Parent Process:  Safari [29953]

Date/Time:       2011-07-28 13:49:15.029 -0400
OS Version:      Mac OS X 10.7 (11A511)
Report Version:  9

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 00000001016c9000-00000001016ca000 [    4K] r-x/rwx SM=COW  /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess

Application Specific Information:
objc[30031]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.JavaScriptCore      	0x00000001023d3934 JSC::JSArray::put(JSC::ExecState*, unsigned int, JSC::JSValue) + 4
1   com.apple.JavaScriptCore      	0x000000010238769e JSC::Interpreter::execute(JSC::ProgramExecutable*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*) + 1454
2   com.apple.JavaScriptCore      	0x0000000102305be5 JSC::evaluate(JSC::ExecState*, JSC::ScopeChainNode*, JSC::SourceCode const&, JSC::JSValue) + 261
3   com.apple.WebCore             	0x0000000102e65631 WebCore::ScriptController::evaluateInWorld(WebCore::ScriptSourceCode const&, WebCore::DOMWrapperWorld*) + 419
4   com.apple.WebCore             	0x0000000102e65974 WebCore::ScriptController::evaluate(WebCore::ScriptSourceCode const&) + 44
5   com.apple.WebCore             	0x0000000102e6b898 WebCore::ScriptElement::executeScript(WebCore::ScriptSourceCode const&) + 150
6   com.apple.WebCore             	0x0000000102e6c783 WebCore::ScriptElement::prepareScript(WTF::TextPosition<WTF::OneBasedNumber> const&, WebCore::ScriptElement::LegacyTypeSupport) + 997
7   com.apple.WebCore             	0x000000010292cb95 WebCore::HTMLScriptRunner::runScript(WebCore::Element*, WTF::TextPosition<WTF::OneBasedNumber> const&) + 309
8   com.apple.WebCore             	0x000000010292d437 WebCore::HTMLScriptRunner::execute(WTF::PassRefPtr<WebCore::Element>, WTF::TextPosition<WTF::OneBasedNumber> const&) + 47
9   com.apple.WebCore             	0x00000001028ed37f WebCore::HTMLDocumentParser::runScriptsForPausedTreeBuilder() + 87
10  com.apple.WebCore             	0x00000001028ed43c WebCore::HTMLDocumentParser::canTakeNextToken(WebCore::HTMLDocumentParser::SynchronousMode, WebCore::PumpSession&) + 88
11  com.apple.WebCore             	0x00000001028ed638 WebCore::HTMLDocumentParser::pumpTokenizer(WebCore::HTMLDocumentParser::SynchronousMode) + 330
12  com.apple.WebCore             	0x00000001028ed92e WebCore::HTMLDocumentParser::notifyFinished(WebCore::CachedResource*) + 176
13  com.apple.WebCore             	0x000000010264ba69 WebCore::CachedResource::checkNotify() + 77
14  com.apple.WebCore             	0x000000010265071c WebCore::CachedResourceRequest::didFinishLoading(WebCore::SubresourceLoader*, double) + 148
15  com.apple.WebCore             	0x0000000102ec39bf WebCore::SubresourceLoader::didFinishLoading(double) + 59
16  com.apple.Foundation          	0x00007fff8a5200fe ___NSURLConnectionDidFinishLoading_block_invoke_1 + 122
17  com.apple.Foundation          	0x00007fff8a52007e _NSURLConnectionDidFinishLoading + 81
18  com.apple.CFNetwork           	0x00007fff8682718e URLConnectionClient::_clientDidFinishLoading(URLConnectionClient::ClientConnectionEventQueue*) + 296
19  com.apple.CFNetwork           	0x00007fff868d7ff4 URLConnectionClient::ClientConnectionEventQueue::processAllEventsAndConsumePayload(XConnectionEventInfo<XClientEvent, XClientEventParams>*, long) + 862
20  com.apple.CFNetwork           	0x00007fff868020f3 URLConnectionClient::processEvents() + 185
21  com.apple.CFNetwork           	0x00007fff86801f96 MultiplexerSource::perform() + 212
22  com.apple.CoreFoundation      	0x00007fff88892241 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
23  com.apple.CoreFoundation      	0x00007fff88891aad __CFRunLoopDoSources0 + 253
24  com.apple.CoreFoundation      	0x00007fff888b88d9 __CFRunLoopRun + 905
25  com.apple.CoreFoundation      	0x00007fff888b8216 CFRunLoopRunSpecific + 230
26  com.apple.HIToolbox           	0x00007fff8963a4ff RunCurrentEventLoopInMode + 277
27  com.apple.HIToolbox           	0x00007fff89641c21 ReceiveNextEventCommon + 355
28  com.apple.HIToolbox           	0x00007fff89641aae BlockUntilNextEventMatchingListInMode + 62
29  com.apple.AppKit              	0x00007fff85956191 _DPSNextEvent + 659
30  com.apple.AppKit              	0x00007fff85955a95 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 135
31  com.apple.AppKit              	0x00007fff859523d6 -[NSApplication run] + 463
32  com.apple.WebKit2             	0x000000010205e5c5 WebKit::WebProcessMain(WebKit::CommandLine const&) + 587
33  com.apple.WebKit2             	0x0000000102035562 WebKitMain + 268
34  com.apple.WebProcess          	0x00000001016c9da4 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8b4ff7e6 kevent + 10
1   libdispatch.dylib             	0x00007fff8913c60e _dispatch_mgr_invoke + 923
2   libdispatch.dylib             	0x00007fff8913b19e _dispatch_mgr_thread + 54

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff8b4ff192 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff869ae594 _pthread_wqthread + 758
2   libsystem_c.dylib             	0x00007fff869afb85 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff8b4ff192 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff869ae594 _pthread_wqthread + 758
2   libsystem_c.dylib             	0x00007fff869afb85 start_wqthread + 13

Thread 4:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff8b4febca __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff869b0274 _pthread_cond_wait + 840
2   com.apple.JavaScriptCore      	0x00000001024c6ce0 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 64
3   com.apple.WebCore             	0x0000000102cc9e7a WTF::MessageQueue<WebCore::LocalStorageTask>::waitForMessage() + 132
4   com.apple.WebCore             	0x0000000102cc9c73 WebCore::LocalStorageThread::threadEntryPoint() + 99
5   com.apple.WebCore             	0x0000000102cc9c9b WebCore::LocalStorageThread::threadEntryPointCallback(void*) + 9
6   libsystem_c.dylib             	0x00007fff869ac8bf _pthread_start + 335
7   libsystem_c.dylib             	0x00007fff869afb75 thread_start + 13

Thread 5:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x00007fff8b4fd67a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8b4fcd71 mach_msg + 73
2   com.apple.CoreFoundation      	0x00007fff888b029c __CFRunLoopServiceMachPort + 188
3   com.apple.CoreFoundation      	0x00007fff888b8a04 __CFRunLoopRun + 1204
4   com.apple.CoreFoundation      	0x00007fff888b8216 CFRunLoopRunSpecific + 230
5   com.apple.Foundation          	0x00007fff8a51da97 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 335
6   com.apple.Foundation          	0x00007fff8a5121ea -[NSThread main] + 68
7   com.apple.Foundation          	0x00007fff8a512162 __NSThread__main__ + 1575
8   libsystem_c.dylib             	0x00007fff869ac8bf _pthread_start + 335
9   libsystem_c.dylib             	0x00007fff869afb75 thread_start + 13

Thread 6:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff8b4fedf2 __select + 10
1   com.apple.CoreFoundation      	0x00007fff8890166b __CFSocketManager + 1355
2   libsystem_c.dylib             	0x00007fff869ac8bf _pthread_start + 335
3   libsystem_c.dylib             	0x00007fff869afb75 thread_start + 13

Thread 7:
0   libsystem_kernel.dylib        	0x00007fff8b4ff192 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff869ae594 _pthread_wqthread + 758
2   libsystem_c.dylib             	0x00007fff869afb85 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x000000010974d648  rbx: 0x4274171dd4ec6000  rcx: 0x4274171dd4ec6000  rdx: 0x000000000000000c
  rdi: 0x000000010974d648  rsi: 0x0000000106baf200  rbp: 0x00007fff612c5e00  rsp: 0x00007fff612c5d58
   r8: 0x0000000000000000   r9: 0x4274171dd4ec6000  r10: 0x00000001077bbc80  r11: 0x0000000102343720
  r12: 0x00000000000002e7  r13: 0x0000000106baf200  r14: 0xffff000000000000  r15: 0xffff000000000002
  rip: 0x00000001023d3934  rfl: 0x0000000000010206  cr2: 0x0000000000000000
Logical CPU: 1

Binary Images:
       0x1016c9000 -        0x1016c9fff  com.apple.WebProcess (535+ - 535.1+) <6712FF89-3274-31B7-9EFF-A2611E4CA170> /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
       0x1016cd000 -        0x1016cdfff +WebProcessShim.dylib (535.1.0 - compatibility 1.0.0) <EDE58F6B-E739-3F15-8A61-91BE4CFFF4C6> /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcessShim.dylib
       0x102000000 -        0x1021a8fff  com.apple.WebKit2 (535+ - 535.1+) <CB34AAC2-A59D-3000-8575-DA40DDEFC3CE> /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit2.framework/WebKit2
       0x1022cb000 -        0x10254eff7  com.apple.JavaScriptCore (535+ - 535.1+) <FB23773F-2F9A-30A5-BDCB-DD86315ADB64> /Applications/WebKit.app/Contents/Frameworks/10.7/JavaScriptCore.framework/Versions/A/JavaScriptCore
       0x1025ce000 -        0x1033c8fef  com.apple.WebCore (535+ - 535.1+) <A895C21A-D24D-38DC-82E1-4E769ABAE9CC> /Applications/WebKit.app/Contents/Frameworks/10.7/WebCore.framework/Versions/A/WebCore
       0x1052f5000 -        0x105477fff  com.apple.WebKit (r91919 - 535.1+) <0537C83A-F4D2-3FF1-9235-0F95561004F1> /Applications/WebKit.app/Contents/Frameworks/10.7/WebKit.framework/Versions/A/WebKit
       0x107401000 -        0x10740efff  com.apple.security.ldapdl (3.1 - 1) <C313E964-6908-32F7-ADF6-F29071EEC3F9> /System/Library/Security/ldapdl.bundle/Contents/MacOS/ldapdl
    0x7fff612c9000 -     0x7fff612fdac7  dyld (195.5 - ???) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff8414b000 -     0x7fff8414bfff  com.apple.vecLib (3.7 - vecLib 3.7) <29927F20-262F-379C-9108-68A6C69A03D0> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff84153000 -     0x7fff841ceff7  com.apple.print.framework.PrintCore (7.0 - 366) <E663DF78-6729-332D-B763-ABB63A6BBB55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff841db000 -     0x7fff8421afff  com.apple.AE (527.6 - 527.6) <6F8DF9EF-3250-3B7F-8841-FCAD8E323954> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8421b000 -     0x7fff84221fff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib
    0x7fff84979000 -     0x7fff849fbfff  com.apple.Metadata (10.7.0 - 627.9) <F293A9A7-9790-3629-BE81-D19C158C5EA4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff84a0a000 -     0x7fff84a0afff  com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <4CC14F7C-BCA7-3CAC-BEC9-B06576E5A15B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff84a0b000 -     0x7fff84aaffef  com.apple.ink.framework (1.3.2 - 110) <F69DBD44-FEC8-3C14-8131-CC0245DBBD42> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff84abe000 -     0x7fff84accff7  libkxld.dylib (??? - ???) <65BE345D-6618-3D1A-9E2B-255E629646AA> /usr/lib/system/libkxld.dylib
    0x7fff84b43000 -     0x7fff84bd9ff7  libvMisc.dylib (325.3.0 - compatibility 1.0.0) <AC5A384A-FA5A-3307-9CED-BD69E6F12A09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff84bda000 -     0x7fff84c34fff  com.apple.HIServices (1.9 - ???) <8791E8AA-C034-330D-B2BA-5141154C21CD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff84c35000 -     0x7fff84c39fff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff84c81000 -     0x7fff84c85fff  libCGXType.A.dylib (600.0.0 - compatibility 64.0.0) <5EEAD17D-006C-3855-8093-C7A4A97EE0D0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff84ca1000 -     0x7fff84ddafef  com.apple.vImage (5.0 - 5.0) <C45D2CBE-FA15-3D13-9E9D-A3BF57B84BBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff84ddb000 -     0x7fff84e2dff7  libGLU.dylib (??? - ???) <C3CE8BA0-470F-3BCE-B17C-A31E70E035F2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff84f34000 -     0x7fff84f7ffff  com.apple.SystemConfiguration (1.11 - 1.11) <0B02FEC4-C36E-32CB-8004-2214B6793AE8> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff84f80000 -     0x7fff84f84fff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib
    0x7fff8515d000 -     0x7fff853cefff  com.apple.CoreImage (7.77 - 1.0.1) <AB6ECCF3-4B04-3363-9158-08F305BF15FA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff854e4000 -     0x7fff855abff7  com.apple.ColorSync (4.7.0 - 4.7.0) <A29897D7-4B63-3BBB-B66C-710BE9CC01D8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff85607000 -     0x7fff85608ff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff85609000 -     0x7fff8568eff7  com.apple.Heimdal (2.1 - 2.0) <E4CD970F-8DE8-31E4-9FC0-BDC97EB924D5> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8568f000 -     0x7fff8572efff  com.apple.LaunchServices (480.19 - 480.19) <41ED4C8B-C74B-34EA-A9BF-34DBA5F52307> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8572f000 -     0x7fff8575aff7  libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <8051A3FC-7385-3EA9-9634-78FC616C3E94> /usr/lib/libxslt.1.dylib
    0x7fff8575b000 -     0x7fff858fafff  com.apple.QuartzCore (1.7 - 269.0) <E0AFC745-4AC5-36E3-9827-E5344721071D> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8594d000 -     0x7fff86545fff  com.apple.AppKit (6.7 - 1138) <C8D2FDDA-B9D5-3948-A376-6B9B6F0596C6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff86546000 -     0x7fff8656cff7  com.apple.framework.familycontrols (3.0 - 300) <72FEA71A-5865-3875-97E9-3C8C96B7F7FA> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff865b5000 -     0x7fff865c1fff  com.apple.CrashReporterSupport (10.7 - 343) <89EFF4A7-D064-3CAE-9BFC-285EE9033197> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff8662e000 -     0x7fff86730ff7  com.apple.PubSub (1.0.5 - 65.28) <D971543B-C9BE-3C58-8453-B3C69E2D2A6F> /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
    0x7fff8673e000 -     0x7fff867b3ff7  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff867f6000 -     0x7fff867f9fff  libRadiance.dylib (??? - ???) <DCDA308D-4856-3631-B6D7-7A8B94169BC0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff867fa000 -     0x7fff8695dfff  com.apple.CFNetwork (520.0.13 - 520.0.13) <67E3BB43-2A22-3F5A-964E-391375B24CE0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff8695e000 -     0x7fff86a3bfef  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <1D61CA57-3C6D-30F7-89CB-CC6F0787B1DC> /usr/lib/system/libsystem_c.dylib
    0x7fff86cb7000 -     0x7fff86ce6fff  com.apple.DictionaryServices (1.2 - 158) <2CE51CD1-EE3D-3618-9507-E39A09C9BB8D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff86dee000 -     0x7fff86e0bff7  com.apple.openscripting (1.3.3 - ???) <A64205E6-D3C5-3E12-B1A0-72243151AF7D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff86e0c000 -     0x7fff86e0cfff  com.apple.Cocoa (6.6 - ???) <021D4214-9C23-3CD8-AFB2-F331697A4508> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff86e0d000 -     0x7fff87228ff7  com.apple.RawCamera.bundle (3.7.2 - 573) <FF8D349E-E8DF-3D12-91E9-BA00C13D5359> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff8729d000 -     0x7fff872acfff  libxar.1.dylib (??? - ???) <58B07AA0-BC12-36E3-94FC-C252719A1BDF> /usr/lib/libxar.1.dylib
    0x7fff875c7000 -     0x7fff8763dfff  com.apple.ISSupport (1.9.8 - 56) <2CEE7E6B-D841-36D8-BC9F-081B33F6E501> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
    0x7fff8766c000 -     0x7fff87682ff7  com.apple.ImageCapture (7.0 - 7.0) <69E6E2E1-777E-332E-8BCF-4F0611517DD0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff87685000 -     0x7fff87685fff  com.apple.Carbon (153 - 153) <895C2BF2-1666-3A59-A669-311B1F4F368B> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff87686000 -     0x7fff87695fff  com.apple.opengl (1.7.4 - 1.7.4) <38AF4430-7E81-3C98-9330-21DCDA90507E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff877d9000 -     0x7fff877e0fff  com.apple.NetFS (4.0 - 4.0) <B9F41443-679A-31AD-B0EB-36557DAF782B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff877fd000 -     0x7fff87808fff  com.apple.CommonAuth (2.1 - 2.0) <49949286-61FB-3A7F-BF49-0EBA45E2664E> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff87809000 -     0x7fff8790cfff  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <ED5E84C6-646D-3B70-81D6-7AF957BEB217> /usr/lib/libsqlite3.dylib
    0x7fff8790d000 -     0x7fff87949fff  libsystem_info.dylib (??? - ???) <BC49C624-1DAB-3A37-890F-6EFD46538424> /usr/lib/system/libsystem_info.dylib
    0x7fff8794a000 -     0x7fff87950ff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff87951000 -     0x7fff87993ff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff87a26000 -     0x7fff87a90fff  com.apple.framework.IOKit (2.0 - ???) <F79E7690-EF97-3D04-BA22-177E256803AF> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff87aed000 -     0x7fff87ceffff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <82DCB94B-3819-3CC3-BC16-2AACA7F64F8A> /usr/lib/libicucore.A.dylib
    0x7fff87d03000 -     0x7fff87d30fe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <7B4D685D-939C-3ABE-8780-77A1889E0DE9> /usr/lib/libSystem.B.dylib
    0x7fff87d31000 -     0x7fff87d45ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff87d46000 -     0x7fff87d87fff  com.apple.QD (3.12 - ???) <4F3C5629-97C7-3E55-AF3C-ACC524929DA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff87eb3000 -     0x7fff87eb4fff  libsystem_sandbox.dylib (??? - ???) <8D14139B-B671-35F4-9E5A-023B4C523C38> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8807b000 -     0x7fff88159ff7  com.apple.ImageIO.framework (3.1.0 - 3.1.0) <70228E69-063C-32FF-BBE7-FCCD9C5C0864> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8815a000 -     0x7fff8815cfff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389> /usr/lib/system/libquarantine.dylib
    0x7fff8815d000 -     0x7fff8816fff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff88170000 -     0x7fff881a3fff  com.apple.GSS (2.1 - 2.0) <A150154E-40D3-345B-A92D-3A023A55AC52> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff881a4000 -     0x7fff881aeff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib
    0x7fff881af000 -     0x7fff881b0fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib
    0x7fff881b1000 -     0x7fff881d5ff7  com.apple.Kerberos (1.0 - 1) <2FF2569B-F59A-371E-AF33-66297F512CB3> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8820c000 -     0x7fff88210ff7  com.apple.CommonPanels (1.2.5 - 94) <0BB2C436-C9D5-380B-86B5-E355A7711259> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff88211000 -     0x7fff8863efff  libLAPACK.dylib (??? - ???) <4F2E1055-2207-340B-BB45-E4F16171EE0D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8863f000 -     0x7fff8865bff7  com.apple.GenerationalStorage (1.0 - 124) <C0290CA0-A2A0-3280-9442-9D783883D638> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8865c000 -     0x7fff8865efff  libCVMSPluginSupport.dylib (??? - ???) <2D21E6BE-CB20-3F76-8DCC-1CB0660A8A5B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff887ea000 -     0x7fff88813fff  com.apple.CoreServicesInternal (113.7 - 113.7) <ACAC98CD-5941-39DB-951A-2509DCCD22FD> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8881e000 -     0x7fff88823fff  libGIF.dylib (??? - ???) <21851808-BFD2-3141-8354-A419479726BF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff88824000 -     0x7fff8882bff7  com.apple.CommerceCore (1.0 - 17) <AA783B87-48D4-3CA6-8FF6-0316396022F4> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff8882c000 -     0x7fff88839fff  libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <931F40EB-CA75-3A90-AC97-4DB8E210BC76> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff88880000 -     0x7fff88a53ff7  com.apple.CoreFoundation (6.7 - 635) <57446B22-0778-3E07-9690-96AC705D57E8> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff88a54000 -     0x7fff88a66ff7  libbsm.0.dylib (??? - ???) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D> /usr/lib/libbsm.0.dylib
    0x7fff88a67000 -     0x7fff88a67fff  com.apple.audio.units.AudioUnit (1.7 - 1.7) <D75971EE-0D74-365A-8E52-46558EA49E87> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8910c000 -     0x7fff8910cfff  com.apple.CoreServices (53 - 53) <5946A0A6-393D-3087-86A0-4FFF6A305CC0> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8910d000 -     0x7fff89135ff7  com.apple.CoreVideo (1.7 - 70.0) <59D5B407-CCB6-3406-8C55-C1B0168D7DC2> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff89136000 -     0x7fff89138fff  com.apple.TrustEvaluationAgent (2.0 - 1) <80AFB5D8-5CC4-3A38-83B9-A7DF5820031A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff89139000 -     0x7fff89147fff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <698F8EFB-7075-3111-94E3-891156C88172> /usr/lib/system/libdispatch.dylib
    0x7fff89148000 -     0x7fff891b8fff  com.apple.datadetectorscore (3.0 - 179.3) <AFFBD606-91DE-3F91-8E38-C037D9FBFA8B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff891bb000 -     0x7fff891fbfff  libtidy.A.dylib (??? - ???) <E500CDB9-C010-3B1A-B995-774EE64F39BE> /usr/lib/libtidy.A.dylib
    0x7fff891fc000 -     0x7fff891fcfff  com.apple.Accelerate (1.7 - Accelerate 1.7) <3E4582EB-CFEF-34EA-9DA8-8421F1C3C77D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff891fd000 -     0x7fff892e1def  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC> /usr/lib/libobjc.A.dylib
    0x7fff8933c000 -     0x7fff8933ffff  com.apple.help (1.3.2 - 42) <AB67588E-7227-3993-927F-C9E6DAC507FD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff89340000 -     0x7fff8934efff  com.apple.NetAuth (1.0 - 3.0) <F384FFFD-70F6-3B1C-A886-F5B446E456E7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8934f000 -     0x7fff89350ff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA> /usr/lib/system/libremovefile.dylib
    0x7fff8941e000 -     0x7fff89460fff  com.apple.corelocation (330.9 - 330.9) <ACE577F2-6EDE-3768-BF76-8632E8B81876> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff89461000 -     0x7fff8946eff7  libbz2.1.0.dylib (1.0.5 - compatibility 1.0.0) <8EDE3492-D916-37B2-A066-3E0F054411FD> /usr/lib/libbz2.1.0.dylib
    0x7fff8946f000 -     0x7fff89630fe7  com.apple.CoreData (103 - 358.4) <8D8ABA2E-0161-334D-A7C9-79E5297E188B> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff89631000 -     0x7fff89637fff  IOSurface (??? - ???) <06FA3FDD-E6D5-391F-B60D-E98B169DAB1B> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff89638000 -     0x7fff8995bfff  com.apple.HIToolbox (1.7 - ???) <10FA3432-6638-39D9-8681-9E95298D239E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff8a197000 -     0x7fff8a2acfff  com.apple.DesktopServices (1.6.0 - 1.6.0) <208D40FC-8BBE-330F-B999-18771BEA6895> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8a2ad000 -     0x7fff8a2c0ff7  libCRFSuite.dylib (??? - ???) <034D4DAA-63F0-35E4-BCEF-338DD7A453DD> /usr/lib/libCRFSuite.dylib
    0x7fff8a2c1000 -     0x7fff8a2c9fff  libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff8a2ca000 -     0x7fff8a3d6fef  libcrypto.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <3AD29F8D-E3BC-3F49-A438-2C8AAB71DC99> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8a3d7000 -     0x7fff8a4b7fff  com.apple.CoreServices.OSServices (478.25 - 478.25) <CA11FC11-2F93-3C8A-8077-A67F381A3EBE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8a4b8000 -     0x7fff8a7cafff  com.apple.Foundation (6.7 - 833.1) <618D7923-3519-3C53-9CBD-CF3C7130CB32> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8a7cb000 -     0x7fff8a7eeff7  com.apple.RemoteViewServices (1.0 - 1) <EB549657-8EDC-312A-B8BE-DEC3E160AC3D> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff8a7ef000 -     0x7fff8a7f2fff  libCoreVMClient.dylib (??? - ???) <9E9F7B24-567C-3102-909C-219CF2B191FD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8ac0f000 -     0x7fff8aca9ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <B7573888-BAF6-333D-AB00-C0D2BF88DF0F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8ad0d000 -     0x7fff8ad0fff7  com.apple.print.framework.Print (7.0 - 247) <579D7E49-A7F4-3C41-9434-3114B8A9B96C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8ad10000 -     0x7fff8b3de9df  com.apple.CoreGraphics (1.600.0 - ???) <B3C42497-53F5-31BB-987E-D1E76746B0E4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8b3df000 -     0x7fff8b3e4ff7  libsystem_network.dylib (??? - ???) <4ABCEEF3-A3F9-3E06-9682-CE00F17138B7> /usr/lib/system/libsystem_network.dylib
    0x7fff8b3e5000 -     0x7fff8b4e7ff7  libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <D46F371D-6422-31B7-BCE0-D80713069E0E> /usr/lib/libxml2.2.dylib
    0x7fff8b4e8000 -     0x7fff8b508fff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8b509000 -     0x7fff8b50efff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib
    0x7fff8b67b000 -     0x7fff8b68cff7  SyndicationUI (??? - ???) <2611F56F-81A9-3457-8C87-2700BFD9D4CB> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
    0x7fff8c387000 -     0x7fff8c39dfff  libGL.dylib (??? - ???) <22064411-0A62-373C-828B-0AA2BA2A8D34> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8c3a2000 -     0x7fff8c444ff7  com.apple.securityfoundation (5.0 - 55005) <0D59908C-A61B-389E-AF37-741ACBBA6A94> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8c44a000 -     0x7fff8c721fff  com.apple.security (7.0 - 55010) <2418B583-D3BD-3BC5-8B07-8289C8A5B43B> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8c950000 -     0x7fff8c998fff  com.apple.framework.CoreWLAN (2.0 - 200.46) <04AFD988-DDFB-330D-B042-C1EB2826A0CC> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8c999000 -     0x7fff8caf2ff7  com.apple.audio.toolbox.AudioToolbox (1.7 - 1.7) <296F10D0-A871-39C1-B8B2-9200AB12B5AF> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8ce54000 -     0x7fff8ce7bfff  com.apple.PerformanceAnalysis (1.10 - 10) <2A058167-292E-3C3A-B1F8-49813336E068> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff8ce7c000 -     0x7fff8ce7dfff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib
    0x7fff8ce7e000 -     0x7fff8ce85fff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib
    0x7fff8ce86000 -     0x7fff8ceb3ff7  com.apple.opencl (1.50.62 - 1.50.62) <616ADE61-11D1-3816-A255-3F0F80F2EAC8> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8ceb4000 -     0x7fff8ceb7ff7  com.apple.securityhi (4.0 - 1) <B37B8946-BBD4-36C1-ABC6-18EDBC573F03> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8ceb8000 -     0x7fff8cebdfff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8d184000 -     0x7fff8d1d8ff7  com.apple.ScalableUserInterface (1.0 - 1) <1873D7BE-2272-31A1-8F85-F70C4D706B3B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff8d21e000 -     0x7fff8d285ff7  com.apple.audio.CoreAudio (4.0.0 - 4.0.0) <0B715012-C8E8-386D-9C6C-90F72AE62A2F> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8d2b7000 -     0x7fff8d3bcff7  libFontParser.dylib (??? - ???) <22AADE96-E54D-3918-9DFA-1967F8B21E54> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8d3bd000 -     0x7fff8d40bff7  libauto.dylib (??? - ???) <F0004B88-CA01-37D0-A77F-6651C4EC7D8E> /usr/lib/libauto.dylib
    0x7fff8d461000 -     0x7fff8d908ff7  FaceCoreLight (1.4.2 - compatibility 1.0.0) <6F89E9A9-DEB6-32B5-8B50-3B97F5DB597D> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff8dae0000 -     0x7fff8dae3fff  libMatch.1.dylib (??? - ???) <B5F68196-AB9D-3899-8A0A-76001720C479> /usr/lib/libMatch.1.dylib
    0x7fff8db42000 -     0x7fff8dc4ffff  libJP2.dylib (??? - ???) <D8257CEE-A1C3-394A-8193-6DB7C29A15A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff8dc50000 -     0x7fff8dc6dff7  libxpc.dylib (77.16.0 - compatibility 1.0.0) <0A4B4775-29A9-30D6-956B-3BE1DBF98090> /usr/lib/system/libxpc.dylib
    0x7fff8dc6e000 -     0x7fff8dc79ff7  com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <7ADAAF5B-1D78-32F2-9FFF-D2E3FBB41C2B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8dce2000 -     0x7fff8dd01fff  libresolv.9.dylib (46.0.0 - compatibility 1.0.0) <33263568-E6F3-359C-A4FA-66AD1300F7D4> /usr/lib/libresolv.9.dylib
    0x7fff8ddfd000 -     0x7fff8ddfefff  liblangid.dylib (??? - ???) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77> /usr/lib/liblangid.dylib
    0x7fff8e1b7000 -     0x7fff8e1faff7  libRIP.A.dylib (600.0.0 - compatibility 64.0.0) <2B1571E1-8E87-364E-BC36-C9C9B5D3EAC4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff8e2fe000 -     0x7fff8e351fff  libFontRegistry.dylib (??? - ???) <8FE14D77-1286-3619-A02E-0AC1A622596E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8e357000 -     0x7fff8e362ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff8e37c000 -     0x7fff8e960faf  libBLAS.dylib (??? - ???) <D62D6A48-5C7A-3ED6-875D-AA3C2C5BF791> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff8e961000 -     0x7fff8ec7afff  com.apple.CoreServices.CarbonCore (960.13 - 960.13) <398ABDD7-BB95-3C05-96D2-B54243FC4745> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8ecac000 -     0x7fff8ecadfff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8ecae000 -     0x7fff8ed15fff  com.apple.Symbolication (1.2 - 87) <C8F38870-0C4E-3A7F-9B12-0E970DE92F24> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8ed16000 -     0x7fff8ed16fff  com.apple.ApplicationServices (41 - 41) <03F3FA8F-8D2A-3AB6-A8E3-40B001116339> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8ed17000 -     0x7fff8ed6efff  libTIFF.dylib (??? - ???) <9E32B490-4C5B-3D96-AF27-9C085C606403> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8ed6f000 -     0x7fff8ed74fff  libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189> /usr/lib/libpam.2.dylib
    0x7fff8ed75000 -     0x7fff8ed8afff  com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <C061ECBB-7061-3A43-8A18-90633F943295> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8ede8000 -     0x7fff8ee22fef  com.apple.DebugSymbols (2.1 - 85) <7E0E17D9-C8D4-3117-B36A-506929F6FF72> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8ee23000 -     0x7fff8ee96fff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff8ee97000 -     0x7fff8eef7fff  libvDSP.dylib (325.3.0 - compatibility 1.0.0) <74B62E70-4189-3022-8FC9-1182EA7C6E34> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8eef8000 -     0x7fff8ef5aff7  com.apple.coreui (0.3 - 162) <A752F9D0-1CAE-340F-B2D2-95EEF242B301> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8ef5b000 -     0x7fff8ef82ff7  libsandbox.1.dylib (??? - ???) <6A450ECC-ED04-3304-B5D7-5996F60F9257> /usr/lib/libsandbox.1.dylib
    0x7fff8efe5000 -     0x7fff8f069ff7  com.apple.ApplicationServices.ATS (5.0 - ???) <F10B1918-A06E-3ECF-85EF-05F0CF27187E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8f06a000 -     0x7fff8f073fff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <BD08553D-8088-38A8-8007-CF5C0B8F0404> /usr/lib/system/libnotify.dylib
    0x7fff8f074000 -     0x7fff8f169fff  libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926> /usr/lib/libiconv.2.dylib
    0x7fff8f1b2000 -     0x7fff8f1cffff  libPng.dylib (??? - ???) <75DA9F95-C2A1-3534-9F8B-14CFFDE2A290> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8f5ca000 -     0x7fff8f67cfff  com.apple.CoreText (4.0.0 - ???) <D7BD85FD-277A-3A97-B1AD-5EE14215237E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8fa44000 -     0x7fff8fa79fff  com.apple.securityinterface (5.0 - 55004) <790DDF7E-6BA9-36DD-B818-2322A712E1F5> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff8fa7c000 -     0x7fff8fa7cfff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff8fa7d000 -     0x7fff8fa94fff  com.apple.MultitouchSupport.framework (220.62 - 220.62) <7EF58A7E-CB97-335F-A025-4A0F00AEF896> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff8fd7b000 -     0x7fff90205fff  com.apple.Safari.framework (7534 - 7534.48.3) <287305A0-D3A2-3D28-8B46-41548687741B> /System/Library/PrivateFrameworks/Safari.framework/Versions/A/Safari
    0x7fff90295000 -     0x7fff9029afff  com.apple.OpenDirectory (10.7 - 144) <E8AACF47-C423-3DCE-98F6-A811612B1B46> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff906da000 -     0x7fff906e0fff  libGFXShared.dylib (??? - ???) <DE6987C5-81AC-3AE6-84F0-138C9636D412> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff90739000 -     0x7fff90778ff7  libcups.2.dylib (2.9.0 - compatibility 2.0.0) <DE681910-3F7F-3502-9937-AB8008CD281A> /usr/lib/libcups.2.dylib
    0x7fff90779000 -     0x7fff907a2fff  libJPEG.dylib (??? - ???) <3DBFEB41-4BF2-3502-872A-BB3738EE61B0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff907a3000 -     0x7fff907e2ff7  libGLImage.dylib (??? - ???) <29F82AD9-45F0-3AC5-A4A4-B767EC555D82> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff907e3000 -     0x7fff907fafff  com.apple.CFOpenDirectory (10.7 - 144) <9709423E-8484-3B26-AAE8-EF58D1B8FB3F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff907fb000 -     0x7fff90824ff7  com.apple.framework.Apple80211 (7.0 - 700.57) <0D7D7E08-377B-32F0-AD91-673F992B5CFF> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff90825000 -     0x7fff9082bfff  com.apple.DiskArbitration (2.4 - 2.4) <5185FEA6-92CA-3CAA-8442-BD71DBC64AFD> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff9082c000 -     0x7fff9089afff  com.apple.CoreSymbolication (2.1 - 67) <194A355B-58C7-3B1E-A714-00F71ACCDB0A> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 3
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 794529
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=176.2M resident=106.1M(60%) swapped_out_or_unallocated=70.1M(40%)
Writable regions: Total=1.1G written=37.1M(3%) resident=43.8M(4%) swapped_out=0K(0%) unallocated=1.0G(96%)
 
REGION TYPE                        VIRTUAL
===========                        =======
CG shared images                     3408K
CoreGraphics                           16K
CoreServices                         5448K
JS JIT generated code               128.0M
JS JIT generated code (reserved)    896.0M        reserved VM address space (unallocated)
JS VM register file                  4096K
JS garbage collector                 4064K
MALLOC                               45.1M
MALLOC guard page                      32K
Memory tag=242                         12K
SQLite page cache                     384K
STACK GUARD                          56.0M
Stack                                11.1M
VM_ALLOCATE                          16.1M
__CI_BITMAP                            80K
__DATA                               17.3M
__IMAGE                              1256K
__LINKEDIT                           55.1M
__TEXT                              121.1M
__UNICODE                             544K
mapped file                          25.8M
shared memory                        4304K
===========                        =======
TOTAL                                 1.4G
TOTAL, minus reserved VM space      498.8M
Comment 1 Filip Pizlo 2011-07-29 13:27:42 PDT
Created attachment 102389 [details]
the patch

Still waiting for tests to finish running.  Will change flags to ? when they finish.
Comment 2 Filip Pizlo 2011-07-29 13:35:58 PDT
Comment on attachment 102389 [details]
the patch

Tests passed.
Comment 3 Gavin Barraclough 2011-07-29 13:37:28 PDT
Comment on attachment 102389 [details]
the patch

Ooops!
Comment 4 Oliver Hunt 2011-07-29 13:37:51 PDT
Comment on attachment 102389 [details]
the patch

Can we get a  new testcase for this?
Comment 5 Filip Pizlo 2011-07-29 13:39:18 PDT
(In reply to comment #4)
> (From update of attachment 102389 [details])
> Can we get a  new testcase for this?

Yes.  I will roll one and post it!
Comment 6 WebKit Review Bot 2011-07-29 14:34:59 PDT
Comment on attachment 102389 [details]
the patch

Clearing flags on attachment: 102389

Committed r92010: <http://trac.webkit.org/changeset/92010>
Comment 7 WebKit Review Bot 2011-07-29 14:35:03 PDT
All reviewed patches have been landed.  Closing bug.